
declare namespace PermissionType {
    type list = {
        id?: Number,
        name?: String,
        path?: String,
        action?: String,
        module?: String,
        p_type?: String,
        parent_id?: Number,
        description?: String
    }

    type role = {
        id?: Number,
        name?: String
        code?: String
        description?: String
    }

    type account = {
        id?: Number,
        mobile?: String,
        password: String,
        repassword: String,
        nickname: String,
        avatar: String,
        email: String,
        roleids: String[],
        province?: Number,
        city?: Number,
        district?: Number,
        street?: Number,

        // 其他参数
        location_arr?: number[]
    }
}